## ros-jazzy-launch-testing 3.4.2

=== debian/changelog ===
ros-jazzy-launch-testing (3.4.2-3bookworm) bookworm; urgency=high

  * Fix a warning in modern unittest. (#773 <https://github.com/ros2/launch/issues/773>)
    Newer versions of unittest no longer store an errors
    list; instead, they store a result, which then stores
    an error list.  Update the code here to be able to deal
    with either version.
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-launch-testing (3.4.1-3bookworm) bookworm; urgency=high

  * Add consider_namespace_packages=False (#766 <https://github.com/ros2/launch/issues/766>)
  * Contributors: Tony Najjar

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-launch-testing (3.4.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Feb 2024 16:00:00 -0000

ros-jazzy-launch-testing (3.3.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-launch-testing (3.2.1-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-launch-testing (3.2.0-3bookworm) bookworm; urgency=high

  * to open expected outpout file with an encoding parameter (#717 <https://github.com/ros2/launch/issues/717>)
  * Contributors: Chen Lihui

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 03 Oct 2023 16:00:00 -0000

ros-jazzy-launch-testing (3.1.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 16:00:00 -0000

ros-jazzy-launch-testing (3.0.1-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Sep 2023 16:00:00 -0000

ros-jazzy-launch-testing (3.0.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-launch-testing (2.2.1-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-launch-testing (2.2.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Jun 2023 16:00:00 -0000

ros-jazzy-launch-testing (2.1.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-jazzy-launch-testing (2.0.1-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-launch-testing (2.0.0-3bookworm) bookworm; urgency=high

  * Improve type checking (#679 <https://github.com/ros2/launch/issues/679>)
  * Contributors: Hervé Audren

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-launch-testing (1.4.1-3bookworm) bookworm; urgency=high

  * Fixed typos (#692 <https://github.com/ros2/launch/issues/692>)
  * Contributors: Alejandro Hernández Cordero

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Feb 2023 16:00:00 -0000

ros-jazzy-launch-testing (1.4.0-3bookworm) bookworm; urgency=high

  * Allow ReadyToTest() usage in event handler (#665 <https://github.com/ros2/launch/issues/665>)
  * Inherit markers from generate_test_description (#670 <https://github.com/ros2/launch/issues/670>)
  * [rolling] Update maintainers - 2022-11-07 (#671 <https://github.com/ros2/launch/issues/671>)
  * Contributors: Audrow Nash, Nikolai Morin, Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-launch-testing (1.3.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-launch-testing (1.2.0-3bookworm) bookworm; urgency=high

  * Fix Typo (#641 <https://github.com/ros2/launch/issues/641>)
  * ReadyToTest action timeout using decorator (#625 <https://github.com/ros2/launch/issues/625>)
  * Switch to using a comprehension for process_names. (#614 <https://github.com/ros2/launch/issues/614>)
  * Contributors: Chris Lalancette, Deepanshu Bansal, Kenji Brameld

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-launch-testing (1.1.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-jazzy-launch-testing (1.0.1-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 Apr 2022 16:00:00 -0000

ros-jazzy-launch-testing (1.0.0-3bookworm) bookworm; urgency=high

  * Removed the deprecated ready_fn feature (#589 <https://github.com/ros2/launch/issues/589>)
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 11 Apr 2022 16:00:00 -0000

ros-jazzy-launch-testing (0.23.1-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-jazzy-launch-testing (0.23.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-jazzy-launch-testing (0.22.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-jazzy-launch-testing (0.21.1-3bookworm) bookworm; urgency=high

  * Added case for instances of ExecuteLocal in resolveProcess function (#587 <https://github.com/ros2/launch/issues/587>)
  * Add compatitibility with pytest 7 (#592 <https://github.com/ros2/launch/issues/592>)
  * Contributors: Matt Lanting, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-launch-testing (0.21.0-3bookworm) bookworm; urgency=high

  * Renamed three files from example_processes (#573 <https://github.com/ros2/launch/issues/573>)

